pfstmo_durand02(1)

NAME
pfstmo_durand02 - Fast bilateral filtering for the display of HDR images

SYNOPSIS
pfstmo_durand02 [--sigma-s <val>] [--sigma-r <val>] [--base-contrast <val>] [--quiet] [--verbose] [--help]

DESCRIPTION
This command implements a tone mapping operator as described in:
    F. Durand and J. Dorsey.
    Fast Bilateral Filtering for the Display of High-Dynamic-Range Images.
    In: In ACM Transactions on Graphics, 2002.

According to paper, results of this TMO require gamma correction.

Unless -g option is specified, this operator also employs color correction mechanism from:
    Radoslaw Mantiuk, Rafal Mantiuk, Anna Tomaszewska, Wolfgang Heidrich.
    Color Correction for Tone Mapping.
    In: Computer Graphics Forum (Proc. of EUROGRAPHICS'09), 28(2), 2009.
    http://zgk.wi.ps.pl/color_correction/

OPTIONS

--sigma-s <val>, -s <val>
    Sigma value for spatial kernel. Default value: 40

--sigma-r <val>, -r<val>
    Sigma value for range kernel. Default value: 0.4

--base-contrast <val>, -c <val>
    Contrast of the base layer. Default value is 5.0f. Lower value causes higher contrast compression and results in darker picture - can help if after tone mapping too many pixels remain saturated.

    Increasing this value will results in brighter and more 'dynamic' picture.

--original, -g
    Use original algorithm as described in the paper with no extensions. For this operator the switch will disable color correction.

--verbose
    Print additional information during program execution.

--quiet, -q
    Do not display progress report.

--help, -h
    Print list of commandline options.

EXAMPLES

pfsin memorial.hdr | pfstmo_durand02 | pfsgamma -g 2.2 | pfsout memorial.png
    Tone map image and save it in png format.

SEE ALSO
pfsgamma(1) pfsin(1) pfsout(1) pfsview(1)

BUGS
Please report bugs and comments on implementation to Grzegorz Krawczyk <krawczyk@mpi-sb.mpg.de>.